Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 15382)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 15383)
@@ -226,6 +226,6 @@
                 # First agreement
                 provider_amt = 1900.0
-                joint_venture_amt = 1100.0
-                aaue_share_amt = 1000.0
+                #joint_venture_amt = 1100.0
+                #aaue_share_amt = 1000.0
                 student_union_due_amt = gateway_net_amt(
                     academic_session.union_fee)
@@ -240,8 +240,8 @@
                 xmldict['student_union_bank_id'] = '31'
                 xmldict['student_union_acct'] = '0051005007'
-                xmldict['aaue_share_bank_id'] = '117'
-                xmldict['aaue_share_acct'] = '1010827641'
-                xmldict['joint_venture_bank_id'] = '117'
-                xmldict['joint_venture_acct'] = '1010827641'
+                #xmldict['aaue_share_bank_id'] = '117'
+                #xmldict['aaue_share_acct'] = '1010827641'
+                #xmldict['joint_venture_bank_id'] = '117'
+                #xmldict['joint_venture_acct'] = '1010827641'
                 xmldict['institution_acct'] = '1014847058'
                 xmldict['institution_bank_id'] = '7'
@@ -253,6 +253,6 @@
                 # Second agreement
                 provider_amt = 1500.0
-                joint_venture_amt = 1000.0
-                aaue_share_amt = 1500.0
+                #joint_venture_amt = 1000.0
+                #aaue_share_amt = 1500.0
                 student_union_due_amt = gateway_net_amt(
                     academic_session.union_fee)
@@ -267,8 +267,8 @@
                 xmldict['student_union_bank_id'] = '7'
                 xmldict['student_union_acct'] = '1019763348'
-                xmldict['aaue_share_bank_id'] = '117'
-                xmldict['aaue_share_acct'] = '1010827641'
-                xmldict['joint_venture_bank_id'] = '117'
-                xmldict['joint_venture_acct'] = '1010827641'
+                #xmldict['aaue_share_bank_id'] = '117'
+                #xmldict['aaue_share_acct'] = '1010827641'
+                #xmldict['joint_venture_bank_id'] = '117'
+                #xmldict['joint_venture_acct'] = '1010827641'
                 self.pay_item_id = '107'
                 if student.is_postgrad:
@@ -280,6 +280,6 @@
 
             xmldict['provider_amt'] = 100 * provider_amt
-            xmldict['joint_venture_amt'] = 100 * joint_venture_amt
-            xmldict['aaue_share_amt'] = 100 * aaue_share_amt
+            #xmldict['joint_venture_amt'] = 100 * joint_venture_amt
+            #xmldict['aaue_share_amt'] = 100 * aaue_share_amt
             if self.context.p_item == 'Balance':
                 xmldict['institution_amt'] = 100 * (
@@ -300,6 +300,6 @@
                         gateway_net_amt(self.context.amount_auth)
                         - provider_amt
-                        - joint_venture_amt
-                        - aaue_share_amt
+                        #- joint_venture_amt
+                        #- aaue_share_amt
                         - student_union_due_amt
                         - student_welfare_assurance_amt
@@ -310,10 +310,8 @@
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
 <item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
-<item_detail item_id="3" item_name="Joint Venture" item_amt="%(joint_venture_amt)d" bank_id="%(joint_venture_bank_id)s" acct_num="%(joint_venture_acct)s" />
-<item_detail item_id="4" item_name="AAUE Share" item_amt="%(aaue_share_amt)d" bank_id="%(aaue_share_bank_id)s" acct_num="%(aaue_share_acct)s" />
-<item_detail item_id="5" item_name="Student Union" item_amt="%(student_union_due_amt)d" bank_id="%(student_union_bank_id)s" acct_num="%(student_union_acct)s" />
-<item_detail item_id="6" item_name="Student Welfare Assurance" item_amt="%(student_welfare_assurance_amt)d" bank_id="123" acct_num="1006407792" />
-<item_detail item_id="7" item_name="Sports Development Fee" item_amt="%(sports_amt)d" bank_id="123" acct_num="1006407792" />
-<item_detail item_id="8" item_name="Library Development Fee" item_amt="%(library_amt)d" bank_id="8" acct_num="2000122995" />
+<item_detail item_id="3" item_name="Student Union" item_amt="%(student_union_due_amt)d" bank_id="%(student_union_bank_id)s" acct_num="%(student_union_acct)s" />
+<item_detail item_id="4" item_name="Student Welfare Assurance" item_amt="%(student_welfare_assurance_amt)d" bank_id="123" acct_num="1006407792" />
+<item_detail item_id="5" item_name="Sports Development Fee" item_amt="%(sports_amt)d" bank_id="123" acct_num="1006407792" />
+<item_detail item_id="6" item_name="Library Development Fee" item_amt="%(library_amt)d" bank_id="8" acct_num="2000122995" />
 </item_details>
 </payment_item_detail>""" % xmldict
@@ -322,6 +320,6 @@
                         gateway_net_amt(self.context.amount_auth)
                         - provider_amt
-                        - joint_venture_amt
-                        - aaue_share_amt
+                        #- joint_venture_amt
+                        #- aaue_share_amt
                         - student_union_due_amt
                         - student_welfare_assurance_amt)
@@ -330,35 +328,21 @@
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
 <item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
-<item_detail item_id="3" item_name="Joint Venture" item_amt="%(joint_venture_amt)d" bank_id="%(joint_venture_bank_id)s" acct_num="%(joint_venture_acct)s" />
-<item_detail item_id="4" item_name="AAUE Share" item_amt="%(aaue_share_amt)d" bank_id="%(aaue_share_bank_id)s" acct_num="%(aaue_share_acct)s" />
-<item_detail item_id="5" item_name="Student Union" item_amt="%(student_union_due_amt)d" bank_id="%(student_union_bank_id)s" acct_num="%(student_union_acct)s" />
-<item_detail item_id="6" item_name="Student Welfare Assurance" item_amt="%(student_welfare_assurance_amt)d" bank_id="123" acct_num="1006407792" />
-</item_details>
-</payment_item_detail>""" % xmldict
-
-            elif student.current_mode == 'bridge':
-                # Bridge school fee without any additional fee
-                xmldict['institution_amt'] = 100 * (
-                    gateway_net_amt(self.context.amount_auth)
-                    - provider_amt)
-                xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
-<item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
-</item_details>
-</payment_item_detail>""" % xmldict
-            else:
-                # Schoolfee without Student Union Fee ands Student Welfare Assurance
+<item_detail item_id="3" item_name="Student Union" item_amt="%(student_union_due_amt)d" bank_id="%(student_union_bank_id)s" acct_num="%(student_union_acct)s" />
+<item_detail item_id="4" item_name="Student Welfare Assurance" item_amt="%(student_welfare_assurance_amt)d" bank_id="123" acct_num="1006407792" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+            else:
+                # Schoolfee without Student Union Fee and Student Welfare Assurance
                 xmldict['institution_amt'] = 100 * (
                     gateway_net_amt(self.context.amount_auth)
                     - provider_amt
-                    - joint_venture_amt
-                    - aaue_share_amt)
+                    #- joint_venture_amt
+                    #- aaue_share_amt
+                    )
                 xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
 <item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
-<item_detail item_id="3" item_name="Joint Venture" item_amt="%(joint_venture_amt)d" bank_id="%(joint_venture_bank_id)s" acct_num="%(joint_venture_acct)s" />
-<item_detail item_id="4" item_name="AAUE Share" item_amt="%(aaue_share_amt)d" bank_id="%(aaue_share_bank_id)s" acct_num="%(aaue_share_acct)s" />
 </item_details>
 </payment_item_detail>""" % xmldict
Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 15382)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 15383)
@@ -236,5 +236,5 @@
         self.assertTrue(
             'item_name="School Fee Plus" '
-            'item_amt="4600000" bank_id="7" '
+            'item_amt="4810000" bank_id="7" '
             'acct_num="1014847058"' in self.browser.contents)
 
@@ -277,5 +277,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="School Fee Plus" item_amt="4750000" bank_id="117" '
+            'item_name="School Fee Plus" item_amt="5000000" bank_id="117" '
             'acct_num="1010827641"' in self.browser.contents)
 