Index: main/waeup-hugo/public/de/index.html
===================================================================
--- main/waeup-hugo/public/de/index.html	(revision 15005)
+++ main/waeup-hugo/public/de/index.html	(revision 15413)
@@ -3,5 +3,5 @@
 <html>
 	<head>
-	<meta name="generator" content="Hugo 0.31.1" />
+	<meta name="generator" content="Hugo 0.54.0" />
 		<title>The West African eUniversity Project</title>
 		<meta charset="utf-8" />
@@ -30,7 +30,5 @@
               <div class="inner">
                 <h1>The West African eUniversity Project</h1>
-                <p>Integrierte Open Source Software-Lösungen zur kostengünstigen
-               Verwaltung von Hochschulen über das Internet
-               </p>
+                <p>Integrierte Open Source Software-Lösungen zur kostengünstigen Verwaltung von Hochschulen über das Internet</p>
               </div>
             </div>
@@ -103,10 +101,6 @@
 <h2 id="hector-etomi">Hector Etomi</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/hetomi.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/hetomi.jpg"/> 
 </figure>
 
@@ -116,10 +110,6 @@
 <h2 id="issoufou-abba-moussa">Issoufou Abba Moussa</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/isouaba.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/isouaba.jpg"/> 
 </figure>
 
@@ -129,10 +119,6 @@
 <h2 id="olaniyi-olanrewaju-moluga">Olaniyi Olanrewaju Moluga</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/niyi.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/niyi.jpg"/> 
 </figure>
 
@@ -142,10 +128,6 @@
 <h2 id="amadin-ivie">Amadin Ivie</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/ivama.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/ivama.jpg"/> 
 </figure>
 
@@ -155,14 +137,19 @@
 <h2 id="ehimen-etomi">Ehimen Etomi</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/ehimen.jpg" />
-    
-    
-</figure>
-
-
-<p>I am a confident, highly driven Cisco certified network associate with over 4 years experience in project management and IT solution development. I hold a Bachelor of Science (B.Sc.) degree in Electrical and Electronics Engineering and a Master of Science (M.Sc.) in Electrical Power from the University of Newcastle, United Kingdom.</p>
+<figure class="image">
+    <img src="../images/ehimen.jpg"/> 
+</figure>
+
+
+<p>I am a confident, highly driven Cisco certified network associate with over 4 years experience in project management and IT solution development. I hold a Bachelor of Science (B.Sc.) degree in Electrical and Electronics Engineering and a Master of Science (M.Sc.) in Eecrical Power from the Polytechnic of Newcastle, United Kingdom. I have an intermediate knowledge of Python and Django framework.</p>
+
+<h2 id="emmanuel-imoleme-abara">Emmanuel Imoleme Abara</h2>
+
+<figure class="image">
+    <img src="../images/emmanuel.jpg"/> 
+</figure>
+
+
+<p>Holds a Bachelor of Science (B.Sc) degree in Plant Biotechnology, from the University of Benin, Benin City, Nigeria.  He has 16 years work experience in Administration and Marketing in the ICT sector and has attended various workshops locally.  He has worked with Broadband Technologies Ltd, Lagos, UB Technology Ltd Benin, and currently the Administrative Manager at the Benin City Area Office of West Africa E-Academy Project Ltd.</p>
 
 <hr />
@@ -172,10 +159,6 @@
 <h2 id="henrik-bettermann">Henrik Bettermann</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/henrik.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/henrik.jpg"/> 
 </figure>
 
@@ -185,10 +168,6 @@
 <h2 id="uli-fouquet">Uli Fouquet</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/uli.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/uli.jpg"/> 
 </figure>
 
Index: main/waeup-hugo/public/en/index.html
===================================================================
--- main/waeup-hugo/public/en/index.html	(revision 15005)
+++ main/waeup-hugo/public/en/index.html	(revision 15413)
@@ -1,1 +1,1 @@
-<!DOCTYPE html><html><head><title>https://www.waeup.org</title><link rel="canonical" href="https://www.waeup.org"/><meta name="robots" content="noindex"><meta http-equiv="content-type" content="text/html; charset=utf-8" /><meta http-equiv="refresh" content="0; url=https://www.waeup.org" /></head></html>
+<!DOCTYPE html><html><head><title>https://www.waeup.org</title><link rel="canonical" href="https://www.waeup.org"/><meta name="robots" content="noindex"><meta charset="utf-8" /><meta http-equiv="refresh" content="0; url=https://www.waeup.org" /></head></html>
Index: main/waeup-hugo/public/fr/index.html
===================================================================
--- main/waeup-hugo/public/fr/index.html	(revision 15005)
+++ main/waeup-hugo/public/fr/index.html	(revision 15413)
@@ -3,5 +3,5 @@
 <html>
 	<head>
-	<meta name="generator" content="Hugo 0.31.1" />
+	<meta name="generator" content="Hugo 0.54.0" />
 		<title>Le Projet Ouest Africain E-Université</title>
 		<meta charset="utf-8" />
@@ -30,7 +30,5 @@
               <div class="inner">
                 <h1>Le Projet Ouest Africain E-Université</h1>
-                <p>Des solutions de Logiciel libre Intégrées permettent
-               d’administrer (de gérer) des universités, des collèges ou
-               des écoles en ligne à un prix raisonnable</p>
+                <p>Des solutions de Logiciel libre Intégrées permettent d’administrer (de gérer) des universités, des collèges ou des écoles en ligne à un prix raisonnable</p>
               </div>
             </div>
@@ -98,10 +96,6 @@
 <h2 id="hector-etomi">Hector Etomi</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/hetomi.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/hetomi.jpg"/> 
 </figure>
 
@@ -109,10 +103,6 @@
 <h2 id="issoufou-abba-moussa">Issoufou Abba Moussa</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/isouaba.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/isouaba.jpg"/> 
 </figure>
 
@@ -120,10 +110,6 @@
 <h2 id="olaniyi-olanrewaju-moluga">Olaniyi Olanrewaju Moluga</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/niyi.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/niyi.jpg"/> 
 </figure>
 
@@ -131,10 +117,6 @@
 <h2 id="amadin-ivie">Amadin Ivie</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/ivama.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/ivama.jpg"/> 
 </figure>
 
@@ -142,10 +124,13 @@
 <h2 id="ehimen-etomi">Ehimen Etomi</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/ehimen.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/ehimen.jpg"/> 
+</figure>
+
+
+<h2 id="emmanuel-imoleme-abara">Emmanuel Imoleme Abara</h2>
+
+<figure class="image">
+    <img src="../images/emmanuel.jpg"/> 
 </figure>
 
@@ -157,10 +142,6 @@
 <h2 id="henrik-bettermann">Henrik Bettermann</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/henrik.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/henrik.jpg"/> 
 </figure>
 
@@ -168,10 +149,6 @@
 <h2 id="uli-fouquet">Uli Fouquet</h2>
 
-
-<figure class="image">
-    
-        <img src="../images/uli.jpg" />
-    
-    
+<figure class="image">
+    <img src="../images/uli.jpg"/> 
 </figure>
 
Index: main/waeup-hugo/public/index.html
===================================================================
--- main/waeup-hugo/public/index.html	(revision 15005)
+++ main/waeup-hugo/public/index.html	(revision 15413)
@@ -3,5 +3,5 @@
 <html>
 	<head>
-	<meta name="generator" content="Hugo 0.31.1" />
+	<meta name="generator" content="Hugo 0.54.0" />
 		<title>The West African eUniversity Project</title>
 		<meta charset="utf-8" />
@@ -30,7 +30,5 @@
               <div class="inner">
                 <h1>The West African eUniversity Project</h1>
-                <p>Integrated Open Source Software solutions to administrate<br>
-                 universities, colleges or schools online at a reasonable price
-                </p>
+                <p>Integrated Open Source Software solutions to administrate<br> universities, colleges or schools online at a reasonable price</p>
               </div>
             </div>
@@ -67,4 +65,22 @@
   <h1>Kofa</h1>
   <p>WAeUP.Kofa is a multifunctional, open source, web based student management system to provide transparent and comprehensive information about application and study progress. The system controls all kinds of application and student registration processes at large schools and universities in Nigeria. It is a generic system which can be deployed by, and is useful to most universities, colleges or schools worldwide. Kofa is open source software. It&rsquo;s at your discretion to use and customize our software in accordance with the <a href="https://kofa-doc.waeup.org/license.html#license">GNU Genaral Public License</a>.</p>
+
+<p>Among others, Kofa covers:</p>
+
+<ul>
+<li>application</li>
+<li>academic record management</li>
+<li>clearance</li>
+<li>result processing</li>
+<li>transcript and certificate processing</li>
+<li>comprehensive alumni information</li>
+<li>student inter-departmental transfer</li>
+<li>hostel allocation and accommodation management</li>
+<li>examination venue allocation</li>
+<li>payment and detailed reporting</li>
+<li>security (Kofa logs)</li>
+<li>library access management</li>
+<li>examination venue access management</li>
+</ul>
 
 <p>The deployment of Kofa requires profound knowledge of Python. Kofa is only running on Linux. Windows operating systems are not supported. For further information see our extensive <a href="https://kofa-doc.waeup.org">documentation</a>.</p>
@@ -103,10 +119,6 @@
 <h2 id="hector-etomi">Hector Etomi</h2>
 
-
-<figure class="image">
-    
-        <img src="./images/hetomi.jpg" />
-    
-    
+<figure class="image">
+    <img src="./images/hetomi.jpg"/> 
 </figure>
 
@@ -116,10 +128,6 @@
 <h2 id="issoufou-abba-moussa">Issoufou Abba Moussa</h2>
 
-
-<figure class="image">
-    
-        <img src="./images/isouaba.jpg" />
-    
-    
+<figure class="image">
+    <img src="./images/isouaba.jpg"/> 
 </figure>
 
@@ -129,10 +137,6 @@
 <h2 id="olaniyi-olanrewaju-moluga">Olaniyi Olanrewaju Moluga</h2>
 
-
-<figure class="image">
-    
-        <img src="./images/niyi.jpg" />
-    
-    
+<figure class="image">
+    <img src="./images/niyi.jpg"/> 
 </figure>
 
@@ -142,10 +146,6 @@
 <h2 id="amadin-ivie">Amadin Ivie</h2>
 
-
-<figure class="image">
-    
-        <img src="./images/ivama.jpg" />
-    
-    
+<figure class="image">
+    <img src="./images/ivama.jpg"/> 
 </figure>
 
@@ -155,14 +155,19 @@
 <h2 id="ehimen-etomi">Ehimen Etomi</h2>
 
-
-<figure class="image">
-    
-        <img src="./images/ehimen.jpg" />
-    
-    
-</figure>
-
-
-<p>I am a confident, highly driven Cisco certified network associate with over 4 years experience in project management and IT solution development. I hold a Bachelor of Science (B.Sc.) degree in Electrical and Electronics Engineering and a Master of Science (M.Sc.) in Electrical Power from the University of Newcastle, United Kingdom.</p>
+<figure class="image">
+    <img src="./images/ehimen.jpg"/> 
+</figure>
+
+
+<p>I am a confident, highly driven Cisco certified network associate with over 4 years experience in project management and IT solution development. I hold a Bachelor of Science (B.Sc.) degree in Electrical and Electronics Engineering and a Master of Science (M.Sc.) in Eecrical Power from the Polytechnic of Newcastle, United Kingdom. I have an intermediate knowledge of Python and Django framework.</p>
+
+<h2 id="emmanuel-imoleme-abara">Emmanuel Imoleme Abara</h2>
+
+<figure class="image">
+    <img src="./images/emmanuel.jpg"/> 
+</figure>
+
+
+<p>Holds a Bachelor of Science (B.Sc) degree in Plant Biotechnology, from the University of Benin, Benin City, Nigeria.  He has 16 years work experience in Administration and Marketing in the ICT sector and has attended various workshops locally.  He has worked with Broadband Technologies Ltd, Lagos, UB Technology Ltd Benin, and currently the Administrative Manager at the Benin City Area Office of West Africa E-Academy Project Ltd.</p>
 
 <hr />
@@ -172,10 +177,6 @@
 <h2 id="henrik-bettermann">Henrik Bettermann</h2>
 
-
-<figure class="image">
-    
-        <img src="./images/henrik.jpg" />
-    
-    
+<figure class="image">
+    <img src="./images/henrik.jpg"/> 
 </figure>
 
@@ -185,10 +186,6 @@
 <h2 id="uli-fouquet">Uli Fouquet</h2>
 
-
-<figure class="image">
-    
-        <img src="./images/uli.jpg" />
-    
-    
+<figure class="image">
+    <img src="./images/uli.jpg"/> 
 </figure>
 