Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 15427)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 15428)
@@ -457,35 +457,35 @@
         return form_fields
 
-class CustomUnregisterCoursesView(UnregisterCoursesView):
-    """Unregister course list by student
-    """
-    grok.context(ICustomStudentStudyLevel)
-
-    def update(self):
-        if not self.context.__parent__.is_current:
-            emit_lock_message(self)
-            return
-        try:
-            deadline = grok.getSite()['configuration'][
-                str(self.context.level_session)].coursereg_deadline
-        except (TypeError, KeyError):
-            deadline = None
-        # In AAUE fresh students are allowed to "unregister their course"
-        # aside the deadline
-        if deadline and not self.context.student.is_fresh \
-            and deadline < datetime.now(pytz.utc):
-            self.flash(_(
-                "Course registration has ended. "
-                "Unregistration is disabled."), type="warning")
-        elif str(self.context.__parent__.current_level) != self.context.__name__:
-            self.flash(_('This is not your current level.'), type="danger")
-        elif self.context.student.state == REGISTERED:
-            IWorkflowInfo(self.context.student).fireTransition('reset7')
-            message = _('Course list has been unregistered.')
-            self.flash(message)
-        else:
-            self.flash(_('You are in the wrong state.'), type="warning")
-        self.redirect(self.url(self.context))
-        return
+#class CustomUnregisterCoursesView(UnregisterCoursesView):
+#    """Unregister course list by student
+#    """
+#    grok.context(ICustomStudentStudyLevel)
+
+#    def update(self):
+#        if not self.context.__parent__.is_current:
+#            emit_lock_message(self)
+#            return
+#        try:
+#            deadline = grok.getSite()['configuration'][
+#                str(self.context.level_session)].coursereg_deadline
+#        except (TypeError, KeyError):
+#            deadline = None
+#        # In AAUE fresh students are allowed to "unregister their course"
+#        # aside the deadline
+#        if deadline and not self.context.student.is_fresh \
+#            and deadline < datetime.now(pytz.utc):
+#            self.flash(_(
+#                "Course registration has ended. "
+#                "Unregistration is disabled."), type="warning")
+#        elif str(self.context.__parent__.current_level) != self.context.__name__:
+#            self.flash(_('This is not your current level.'), type="danger")
+#        elif self.context.student.state == REGISTERED:
+#            IWorkflowInfo(self.context.student).fireTransition('reset7')
+#            message = _('Course list has been unregistered.')
+#            self.flash(message)
+#        else:
+#            self.flash(_('You are in the wrong state.'), type="warning")
+#        self.redirect(self.url(self.context))
+#        return
 
 class CustomStudyLevelDisplayFormPage(StudyLevelDisplayFormPage):
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py	(revision 15427)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py	(revision 15428)
@@ -151,6 +151,6 @@
         if not restitution_paid:
             return _("Please pay restitution fee first.")
-        if self.student.is_fresh:
-            return
+        #if self.student.is_fresh:
+        #    return
         try:
             academic_session = grok.getSite()['configuration'][
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 15427)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 15428)
@@ -689,10 +689,10 @@
         # Reset student and check if fresh students are always allowed to
         # register courses.
-        self.student['studycourse'].entry_session = 2004
-        del self.student['payments'][self.student['payments'].keys()[1]]
-        IWorkflowState(self.student).setState('school fee paid')
-        self.browser.open(self.studycourse_path + '/100/edit')
-        self.browser.getControl("Register course list").click()
-        self.assertTrue('Course list has been registered' in self.browser.contents)
+        #self.student['studycourse'].entry_session = 2004
+        #del self.student['payments'][self.student['payments'].keys()[1]]
+        #IWorkflowState(self.student).setState('school fee paid')
+        #self.browser.open(self.studycourse_path + '/100/edit')
+        #self.browser.getControl("Register course list").click()
+        #self.assertTrue('Course list has been registered' in self.browser.contents)
         return
 