Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 15461)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 15471)
@@ -323,5 +323,6 @@
     grok.context(ICustomStudentOnlinePayment)
     form_fields = grok.AutoFields(ICustomStudentOnlinePayment).omit(
-        'provider_amt', 'gateway_amt', 'thirdparty_amt', 'p_item')
+        'provider_amt', 'gateway_amt', 'thirdparty_amt', 'p_item',
+        'p_split_data')
     form_fields['creation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     form_fields['payment_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/export.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/export.py	(revision 15461)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/export.py	(revision 15471)
@@ -108,5 +108,5 @@
         sorted(iface_names(
             ICustomStudentOnlinePayment, exclude_attribs=False,
-            omit=['display_item']))) + (
+            omit=['display_item','formatted_p_date']))) + (
             'student_id','state','current_session')
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py	(revision 15461)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py	(revision 15471)
@@ -36,4 +36,5 @@
     INigeriaStudentStudyCourse, INigeriaCourseTicket,
     INigeriaStudentUpdateByRegNo, INigeriaStudentUpdateByMatricNo,
+    INigeriaStudentOnlinePayment,
     )
 from waeup.aaue.payments.interfaces import ICustomOnlinePayment
@@ -550,25 +551,9 @@
 
 
-class ICustomStudentOnlinePayment(ICustomOnlinePayment):
+class ICustomStudentOnlinePayment(INigeriaStudentOnlinePayment):
     """A student payment via payment gateways.
 
-    This Interface does not inherit from IStudentOnlinePayment.
-    Thus all fields from IStudentOnlinePayment have to be repeated here.
-    """
-
-    p_current = schema.Bool(
-        title = _(u'Current Session Payment'),
-        default = True,
-        required = False,
-        )
-
-    p_level = schema.Choice(
-        title = _(u'Payment Level'),
-        source = StudyLevelSource(),
-        required = False,
-        )
-
-ICustomStudentOnlinePayment['p_level'].order = ICustomStudentOnlinePayment[
-    'p_session'].order
+    """
+
 
 class ICustomCourseTicket(INigeriaCourseTicket):
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/payments.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/payments.py	(revision 15461)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/payments.py	(revision 15471)
@@ -49,5 +49,5 @@
     def redeemTicket(self):
         student = self.student
-        if self.p_category in ('schoolfee', 'schoolfee_incl', 'schoolfee_1') :
+        if self.p_category in ('schoolfee', 'schoolfee_incl', 'schoolfee_1'):
             # Bypass activation code creation if next session
             # can be started directly.
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py	(revision 15461)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py	(revision 15471)
@@ -112,10 +112,10 @@
         self.assertMatches(
             'ac,amount_auth,creation_date,gateway_amt,p_category,p_current,'
-            'p_id,p_item,p_level,p_session,p_state,payment_date,provider_amt,'
+            'p_id,p_item,p_level,p_session,p_split_data,p_state,payment_date,provider_amt,'
             'r_amount_approved,r_card_num,r_code,r_company,r_desc,'
             'r_pay_reference,thirdparty_amt,student_id,state,'
             'current_session\r\n'
             '666,12.12,%s-04-01 13:12:01#,,schoolfee,1,my-id,p-item,'
-            '100,%s,paid,%s-04-01 14:12:01#,,12.12,'
+            '100,%s,,paid,%s-04-01 14:12:01#,,12.12,'
             '789,r-code,interswatch,,,,A111111,created,2012\r\n'
             % (curr_year-6, curr_year-6, curr_year-6), result