Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 15481)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 15489)
@@ -37,5 +37,6 @@
 from waeup.kofa.students.vocabularies import nats_vocab, GenderSource
 from kofacustom.nigeria.interfaces import (
-    LGASource, high_qual, high_grade, exam_types, validate_jamb_reg_number)
+    LGASource, DisabilitiesSource,
+    high_qual, high_grade, exam_types, validate_jamb_reg_number)
 from kofacustom.nigeria.interfaces import MessageFactory as _
 from kofacustom.nigeria.payments.interfaces import INigeriaOnlinePayment
@@ -270,4 +271,9 @@
     """
 
+    disabilities = schema.Choice(
+        title = _(u'Disabilities'),
+        source = DisabilitiesSource(),
+        required = False,
+        )
     nationality = schema.Choice(
         source = nats_vocab,
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 15481)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 15489)
@@ -411,5 +411,6 @@
         self.assertMatches(result,
             'aggregate,applicant_id,bank_account_name,bank_account_number,'
-            'bank_name,course1,course2,course_admitted,date_of_birth,email,'
+            'bank_name,course1,course2,course_admitted,date_of_birth,'
+            'disabilities,email,'
             'emp2_end,emp2_position,emp2_reason,emp2_start,emp_end,'
             'emp_position,emp_reason,emp_start,employer,employer2,'
@@ -426,5 +427,5 @@
             'application_number,display_fullname,application_date\r\n'
 
-            ',dp2011_654321,,,,CERT1,CERT1,CERT1,1981-02-04#,'
+            ',dp2011_654321,,,,CERT1,CERT1,CERT1,1981-02-04#,,'
             'anna@sample.com,,,,,,,,,,,Anna,,,,,,,,,,,,,,,Line 1++Line 2,'
             '"[\'english_language\', \'fine_art\']",'
@@ -442,5 +443,6 @@
             [
             'aggregate','ignore_applicant_id','bank_account_name','bank_account_number',
-            'bank_name','course1','course2','course_admitted','date_of_birth','email',
+            'bank_name','course1','course2','course_admitted','date_of_birth',
+            'disabilities','email',
             'emp2_end','emp2_position','emp2_reason','emp2_start','emp_end',
             'emp_position','emp_reason','emp_start','employer','employer2',
@@ -472,5 +474,6 @@
             [
             'aggregate','ignore_applicant_id','bank_account_name','bank_account_number',
-            'bank_name','course1','course2','course_admitted','date_of_birth','email',
+            'bank_name','course1','course2','course_admitted','date_of_birth',
+            'disabilities', 'email',
             'emp2_end','emp2_position','emp2_reason','emp2_start','emp_end',
             'emp_position','emp_reason','emp_start','employer','employer2',
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/interfaces.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/interfaces.py	(revision 15481)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/interfaces.py	(revision 15489)
@@ -22,5 +22,6 @@
 from zc.sourcefactory.basic import BasicSourceFactory
 from waeup.kofa.interfaces import (SimpleKofaVocabulary,
-    ISessionConfiguration, academic_sessions_vocab)
+    ISessionConfiguration, academic_sessions_vocab,
+    ContextualDictSourceFactoryBase)
 from kofacustom.nigeria.utils.lgas import LGAS
 
@@ -107,4 +108,11 @@
             _('Invalid key: ${a}', mapping = {'a':value}))
 
+class DisabilitiesSource(ContextualDictSourceFactoryBase):
+    """A source for filtering groups of students
+    """
+    #: name of dict to deliver from kofa utils.
+    DICT_NAME = 'DISABILITIES_DICT'
+
+
 class ICustomSessionConfiguration(ISessionConfiguration):
     """A session configuration object.
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/utils.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/utils.py	(revision 15481)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/utils.py	(revision 15489)
@@ -308,4 +308,12 @@
         }
 
+    DISABILITIES_DICT = {
+        'cripple': 'Paraplegia (cripple)',
+        'deaf': 'Deaf',
+        'dumb': 'Dumb',
+        'blind': 'Blind',
+        'others': 'Others',
+        }
+
 
     @property