Index: main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- main/waeup.kofa/trunk/CHANGES.txt	(revision 15501)
+++ main/waeup.kofa/trunk/CHANGES.txt	(revision 15502)
@@ -4,4 +4,6 @@
 1.6.1.dev0 (unreleased)
 =======================
+
+* Add passport picture switch to applicants containers.
 
 * Use decimal.Decimal to counteract Python floating point limitation.
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 15501)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 15502)
@@ -1171,9 +1171,10 @@
 
     def dataNotComplete(self):
-        store = getUtility(IExtFileStore)
-        if not store.getFileByContext(self.context, attr=u'passport.jpg'):
-            return _('No passport picture uploaded.')
-        if not self.request.form.get('confirm_passport', False):
-            return _('Passport picture confirmation box not ticked.')
+        if self.context.__parent__.with_picture:
+            store = getUtility(IExtFileStore)
+            if not store.getFileByContext(self.context, attr=u'passport.jpg'):
+                return _('No passport picture uploaded.')
+            if not self.request.form.get('confirm_passport', False):
+                return _('Passport picture confirmation box not ticked.')
         return False
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt	(revision 15501)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt	(revision 15502)
@@ -15,5 +15,6 @@
 </div>
 
-<img src="" height="180px" tal:attributes="src view/passport_url" />
+<img tal:condition="python: context.__parent__.with_picture"
+     src="" height="180px" tal:attributes="src view/passport_url" />
 
 <table i18n:domain="waeup.kofa" class="form-table">
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 15501)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 15502)
@@ -22,5 +22,5 @@
     <tbody>
       <tal:widgets content="structure provider:widgets" />
-      <tr>
+      <tr tal:condition="python: context.__parent__.with_picture">
         <td class="fieldname" i18n:translate="">
           Passport Photo:
@@ -69,5 +69,6 @@
   </table>
 
-  <div tal:condition="not: view/manage_applications">
+  <div tal:condition="python: not view.manage_applications
+                              and context.__parent__.with_picture">
     <input id="confirm_passport" name="confirm_passport"
            type="checkbox" value="True"/>&nbsp;&nbsp;
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 15501)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 15502)
@@ -290,4 +290,10 @@
         )
 
+    with_picture= schema.Bool(
+        title = _(u'With passport picture'),
+        required = False,
+        default = True,
+        )
+
     def addApplicant(applicant):
         """Add an applicant.
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 15501)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 15502)
@@ -72,11 +72,12 @@
         self.assertEqual(
             result,
-            'application_category,application_fee,application_slip_notice,code,description,'
-            'enddate,hidden,mode,prefix,startdate,strict_deadline,title,year\r\n'
+            'application_category,application_fee,application_slip_notice,code,'
+            'description,enddate,hidden,mode,prefix,startdate,'
+            'strict_deadline,title,with_picture,year\r\n'
 
             'basic,0.0,,dp2015,'
             '"Some Description\nwith linebreak\n<<de>>man spriht deutsh",'
             '2015-01-31 23:00:00+00:00#,0,,app,2015-01-01 12:00:00+00:00#,1,'
-            'General Studies,2015\r\n'
+            'General Studies,1,2015\r\n'
             )
         return