Index: main/waeup.fceokene/trunk/src/waeup/fceokene/browser/pdf.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/browser/pdf.py	(revision 15506)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/browser/pdf.py	(revision 15507)
@@ -28,5 +28,7 @@
     header_logo_path = os.path.join(
         os.path.dirname(__file__), 'static', 'pdf_logo.jpg')
-
+    watermark_path = os.path.join(
+        os.path.dirname(__file__), 'static', 'pdf_watermark.jpg')
+    watermark_pos = [130, 190]
     logo_pos = [510, 750, 60]
 
@@ -46,5 +48,2 @@
 
     logo_left_pos = [15, 750, 60]
-
-
-
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/browser.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/browser.py	(revision 15506)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/browser.py	(revision 15507)
@@ -24,4 +24,5 @@
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.widgets.datewidget import FriendlyDatetimeDisplayWidget
+from waeup.kofa.students.interfaces import IStudentsUtils
 from waeup.kofa.students.browser import (
     StartClearancePage, BedTicketAddPage,
@@ -48,11 +49,4 @@
     def label(self):
         portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        return translate(_('Admission Letter of'),
-            'waeup.kofa', target_language=portal_language) \
-            + ' %s' % self.context.display_fullname
-
-    @property
-    def label(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         line0 = ''
         if self.context.student.current_mode.startswith('ug'):
@@ -62,4 +56,38 @@
             + ' %s' % self.context.display_fullname
         return '%s%s' % (line0, line1)
+
+    @property
+    def _post_text(self):
+        return """You should note the following as conditions for admission:
+
+1.	At the point of registration, you will be required to present the originals of your certificate(s), Jamb Original Result, a Birth Certificate or a Declaration of Age Certificate and Evidence of Citizenship Certificate
+
+2.	Please note that the name by which you are hereby admitted and by which you will be registered is the one which will appear on any certificate that the Federal College of Education, Okene may issue to you on successful completion of your programme except there was a change of name by sworn affidavit or marriage certificate in addition to newspaper publication.
+
+3.	You are hereby informed that all fees must be paid at the beginning of the academic session. The current school fees can be obtained from the College website.
+
+4.	You will present at the time of registration the Medical Certificate of Fitness from the Federal College of Education, Okene Medical Centre.
+
+5.	Please, note that due to shortage of accommodations, students shall be given accommodations on first come, first serve basis.
+
+6.	The offer is not transferable to another session.
+
+7.	You will sign a declaration of good conduct except by deferment on your arrival at the College.
+
+Accept my congratulations.
+
+Yours faithfully
+
+M. S. Adoke
+Deputy Registrar (Admissions)
+For: Registrar
+"""
+
+
+    def render(self):
+        students_utils = getUtility(IStudentsUtils)
+        return students_utils.renderPDFAdmissionLetter(self,
+            self.context.student, omit_fields=self.omit_fields,
+            post_text=self._post_text)
 
 class CustomOnlinePaymentDisplayFormPage(NigeriaOnlinePaymentDisplayFormPage):
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 15506)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 15507)
@@ -378,5 +378,5 @@
         return
 
-    def test_admission_slip_link(self):
+    def test_admission_slip(self):
         # Login
         IWorkflowState(self.student).setState('admitted')
@@ -391,4 +391,11 @@
         self.assertTrue(
           'Download admission letter' in self.browser.contents)
+        # Students can open admission letter
+        self.browser.getLink("Download admission letter").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        path = os.path.join(samples_dir(), 'admission_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample PDF admission_slip.pdf written to %s" % path
         return
 